import { getPostsList } from "@/services/posts";
import { queryTable } from "@/utils/request";
import { PageContainer, ProTable } from "@ant-design/pro-components";
import { useNavigate } from "react-router-dom";
import { Button, message, Popconfirm } from "antd";
import { useRef, useState, useEffect } from "react";
import { floatMultiply, floatDivide } from "@/utils";

// type plan 采购计划  bill 采购账单  inStore  采购入库
const StockList = (props) => {
  const { type } = props;
  const [showDetail, setShowDetail] = useState(false);
  const [activeKey, setActiveKey] = useState("");
  const actionRef = useRef();
  const navigate = useNavigate();
  // console.log(props, "props");

  useEffect(() => {
    actionRef.current.reload();
  }, [type]);
  const handleDelete = (id) => {
    if (id) {
      deletePurchase(id).then((res) => {
        actionRef.current.reload();
      });
    }
  };

  const columns = [
    {
      title: "内容名称",
      dataIndex: "title",
    },

    {
      title: "发布内容",
      dataIndex: "detail",
      search: false,
      width:'50%'
    },
    {
      title: "状态",
      dataIndex: "status",
      valueType: 'select',
      valueEnum:{
        0: { text: '未发布', status: 'Error' },
        1: { text: '已发布', status: 'Processing' }, 
      },
    
    //   const valueEnum = {
    //     all: { text: '全部', status: 'Default' },
    //     running: { text: '运行中', status: 'Processing' },
    //     online: { text: '已上线', status: 'Success' },
    //     error: { text: '异常', status: 'Error' },
    //   };
    },

    {
      title: "操作",
      valueType: "option",
      width: 200,
      render: (_, record) => [
        <Button
          key={2}
          style={{ padding: 0 }}
          type="link"
          onClick={() => {
            navigate(`/cms/emergency-plan/edit?id=${record.id}`);
          }}
        >
          修改
        </Button>,
        <Popconfirm
          key={3}
          title="您是否确认删除 ?"
          onConfirm={() => handleDelete(record.id)}
          okText="确定"
          cancelText="取消"
        >
          {/* manualPush */}
          <Button style={{ padding: 0 }} type="link">
            删除
          </Button>
        </Popconfirm>,
      ],
    },
  ];

  return (
    <PageContainer>
      <ProTable
        actionRef={actionRef}
        rowKey="id"
        toolBarRender={() => [
          <Button
            key="2"
            type="primary"
            onClick={() => {
              navigate("/cms/emergency-plan/edit");
            }}
          >
            新增
          </Button>,
        ]}
        // search={false}
        request={queryTable(getPostsList)}
        columns={columns}
      />
    </PageContainer>
  );
};

export default StockList;
